Showing results for 
Search instead for 
Did you mean: 
Level 10

Errors Upgrading/Installing MQM Extensions

Hello All,

As I mentioned in another post, I recently implemented MQM and upgraded it during implementation. Since then, I have had nothing but issues with it. One of those involves the extensions. I figured it might be best to break this one out to its own request. We initially installed MQM 7.0.1, but 7.1 was released right as we were going live, so we decided to upgrade. I had a consultant onsite and he walked us through the upgrade. When it came time to do the extensions, I ran into issues, which are persisting somewhat two weeks later.

Initially, we ran into problems with both the Reports and MQM core. However, we completely uninstalled MQM core and resintalled it, and it looks correct. It is showing the correct version, and all policy and settings look okay in ePO. However, the Reports extension is throwing a number of errors that, in my initial searches, seems to happen to some extensions periodically.

1. If I try to upgrade the Reports extension from 7.0.1 to 7.1, it installs separately and doesn't upgrade the existing extension. It then turns the MQM heading in the list red and shows up in red itself and shows a status of Error. If I look at the extension, I see the following information.

MQM71REPORTS error details: 

Error creating bean with name 'MQM71REPORTS.squid.registration': Invocation of init method failed; nested exception is com.mcafee.orion.core.query.QueryException: Double-registration of table:MQMQtnStatsView

2. I am then able to actually uninstall the 7.1 extension with the error. I then figured I would try to uninstall the 7.0.1 extension first. I even checked the box for "Force removal, bypassing any checks or errors." When I attempt to run the removal, I get the following message:

Remove Extension

Message: an error occurred while trying to uninstall the extension MQM7Reports

Has anyone run into this before? If so, do you have any tips on remediating it. I would like to have MQM reports in ePO, but right now I see nothing.

0 Kudos
1 Reply
Level 10

Re: Errors Upgrading/Installing MQM Extensions

I should note that I am running ePO 5.1, and I also installed the patch for MQM to enable the extensions for ePO 5.1. When I attempt to reinstall any older version or the current version, I get the usual messages about a newer or current version being installed already.

0 Kudos